#version 300 es

precision highp float;

in highp vec2 v_TexCoord;
uniform sampler2D u_Texture;
uniform sampler2D u_Mask;

layout(location = 0) out vec4 o_FragColor;

void main() {
    float a = texture(u_Mask, v_TexCoord).r;
    vec4 color = texture(u_Texture, v_TexCoord);
    o_FragColor = color * a;
}
