#version 300 es

precision highp float;

uniform sampler2D u_RGB;
uniform sampler2D u_Alpha;

in vec2 v_TexCoord;

layout(location = 0) out vec4 o_FragColor;

void main() {
    vec3 rgb = texture(u_RGB, v_TexCoord).rgb;
    float alpha = texture(u_Alpha, v_TexCoord).r;

    o_FragColor = vec4(rgb, alpha);
}
