#version 300 es

precision highp float;

const vec3 c_White = vec3(1.0);

uniform vec3 u_Color;

in vec2 v_TexCoord;

layout(location = 0) out vec4 o_FragColor;

void main() {
    o_FragColor = vec4(mix(c_White, u_Color, abs(0.5 - v_TexCoord.x)), 1.0);
}