#version 300 es

precision highp float;

in vec2 v_TexCoord;
uniform sampler2D u_Texture;
uniform vec2 u_Size;
uniform float u_Amount;

layout(location = 0) out vec4 o_FragColor;

void main() {
    float d = 1.0 / u_Amount;
	float ar = u_Size.x / u_Size.y;
	float u = floor(v_TexCoord.x / d) * d;
	d = ar / u_Amount;
	float v = floor(v_TexCoord.y / d ) * d;
	o_FragColor = texture(u_Texture, vec2(u, v));
}