#version 300 es

in vec4 a_Position;

uniform mat4 u_ProjM;
uniform mat4 u_ModelM;
uniform mat4 u_ViewM;
uniform mat4 u_ZRotM;
uniform mat4 u_YRotM;
uniform mat4 u_XRotM;
uniform mat4 u_TexModelM;
uniform vec2 u_ImgSize;

out vec2 v_TexCoord;

void main()
{
    gl_Position = u_ProjM * (u_ViewM * (u_XRotM * (u_YRotM * (u_ZRotM * (u_ModelM * a_Position)))));
    v_TexCoord = (u_TexModelM * a_Position).xy / u_ImgSize;
}